import { GenerateHelpOfCliAppsInMarkdownFormatOptions } from '@freephoenix888/generate-help-of-cli-apps-in-markdown-format/dist/main.js';
import { GenerateUsageWaysOfNpmCliAppsInMarkdownFormatOptions } from '@freephoenix888/generate-usage-ways-of-npm-cli-apps-in-markdown-format/dist/main.js';
import { GenerateTableOfContentsForMarkdownOptions } from '@freephoenix888/generate-table-of-contents-for-markdown/dist/main.js';
export declare function generateDocumentation(options: GenerateDocumentationOptions): Promise<void>;
export type GenerateDocumentationOptions = {
    generateCliAppsHelpInReadmeOptions?: undefined | null | (GenerateHelpOfCliAppsInMarkdownFormatOptions & {
        placeholder?: string;
    });
    generateUsageWaysOfNpmCliAppsInMarkdownFormatOptions?: undefined | null | (GenerateUsageWaysOfNpmCliAppsInMarkdownFormatOptions & {
        placeholder?: string;
    });
    generateTableOfContentsForMarkdownOptions?: undefined | null | (GenerateTableOfContentsForMarkdownOptions & {
        placeholder?: string;
    });
    readmeFilePath?: string;
    generateTypescriptDocumentation?: () => Promise<void>;
};
